//**************************************************************************
// ﾌｧｲﾙ内容     「8bit_in_out.ino」8bit単位で入力、出力
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

// プロトタイプ宣言
unsigned char dipsw( void );
void led( unsigned char value );

void setup() {
  // CN5 DIPSW 8bit
  pinMode( 27, INPUT );  // D27は入力のみ
  pinMode( 28, INPUT );  // D28は入力のみ
  pinMode( 29, INPUT );
  pinMode( 30, INPUT );
  pinMode( 31, INPUT );
  pinMode( 32, INPUT );
  pinMode( 33, INPUT ); 
  pinMode( 34, INPUT);

  // CN7 LED 8bit
  pinMode( 35, OUTPUT );
  pinMode( 36, OUTPUT );
  pinMode( 37, OUTPUT );
  pinMode( 38, OUTPUT );
  pinMode( 39, OUTPUT );
  pinMode( 40, OUTPUT );
  pinMode( 41, OUTPUT );
  pinMode( 42, OUTPUT );
}

void loop() {
  unsigned char sw;

  sw = dipsw();
  led( sw );
}

unsigned char dipsw( void ) {
  unsigned char c;
  
  c  = (digitalRead( 27 ) << 7);
  c |= (digitalRead( 28 ) << 6);
  c |= (digitalRead( 29 ) << 5);
  c |= (digitalRead( 30 ) << 4);
  c |= (digitalRead( 31 ) << 3);
  c |= (digitalRead( 32 ) << 2);
  c |= (digitalRead( 33 ) << 1);
  c |= (digitalRead( 34 ) << 0);

  return c;
}

void led( unsigned char value ) {

  digitalWrite( 35, (value & 0x80) != 0 );  // 式が真なら1、偽なら0の値を持つ
  digitalWrite( 36, (value & 0x40) != 0 );  // 例　(1==1) は 1 という値を持つ
  digitalWrite( 37, (value & 0x20) != 0 );  //     (1==0) は 0 という値を持つ
  digitalWrite( 38, (value & 0x10) != 0 );
  digitalWrite( 39, (value & 0x08) != 0 );
  digitalWrite( 40, (value & 0x04) != 0 );
  digitalWrite( 41, (value & 0x02) != 0 );
  digitalWrite( 42, (value & 0x01) != 0 );
}