//**************************************************************************
// ﾌｧｲﾙ内容     「ad_renzoku.ino」A/D変換 連続スキャンモード
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

// インクルード宣言
#include "mcr_ad_lib.h"

// グローバル変数宣言
mcr_ad ad;

void setup() {
  ad.useCh( 6 );
  ad.useCh( 5 );
  ad.useCh( 14 );
  ad.useCh( 13 );
  ad.useCh( 12 );
  ad.useCh( 11 );
  ad.useCh( 4);
  ad.useCh( 3 );
  ad.start();

  Serial.begin( 9600 );
  while (!Serial) {
    // 接続されるまで待つ
  }
  Serial.print( "\n\nA/D変換 連続スキャンモード\n" );
}

void loop() {
  char buff[16];

  digitalWrite( 24, 0 );
  sprintf( buff, "AN006=%5d  ", getAD_006 );
  Serial.print( buff );
  sprintf( buff, "AN005=%5d  ", getAD_005 );
  Serial.print( buff );
  sprintf( buff, "AN014=%5d  ", getAD_014 );
  Serial.print( buff );
  sprintf( buff, "AN013=%5d  ", getAD_013 );
  Serial.print( buff );
  sprintf( buff, "AN012=%5d  ", getAD_012 );
  Serial.print( buff );
  sprintf( buff, "AN011=%5d  ", getAD_011 );
  Serial.print( buff );
  sprintf( buff, "AN004=%5d  ", getAD_004 );
  Serial.print( buff );
  sprintf( buff, "AN003=%5d  ", getAD_003 );
  Serial.print( buff );
  Serial.print( "\n" );
  digitalWrite( 24, 1 );

  delay( 1000 );
}