//**************************************************************************
// ﾌｧｲﾙ内容     「8bit_in_out_nolibraly.ino」8bit単位で入力、出力(Adruinoライブラリ未使用)
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

// プロトタイプ宣言
unsigned char dipsw( void );
void led( unsigned char value );

void setup() {
  // CN5 DIPSW 8bit
  pinMode( 27, INPUT );  // D27は入力のみ
  pinMode( 28, INPUT );  // D28は入力のみ
  pinMode( 29, INPUT );
  pinMode( 30, INPUT );
  pinMode( 31, INPUT );
  pinMode( 32, INPUT );
  pinMode( 33, INPUT ); 
  pinMode( 34, INPUT);

  // CN7 LED 8bit
  pinMode( 35, OUTPUT );
  pinMode( 36, OUTPUT );
  pinMode( 37, OUTPUT );
  pinMode( 38, OUTPUT );
  pinMode( 39, OUTPUT );
  pinMode( 40, OUTPUT );
  pinMode( 41, OUTPUT );
  pinMode( 42, OUTPUT );
}

void loop() {
  unsigned char sw;

  sw = dipsw();
  led( sw );
}

unsigned char dipsw( void ) {
  unsigned char c;

  c  = (R_PORT2->PIDR_b.PIDR14) << 7;
  c |= (R_PORT2->PIDR_b.PIDR15) << 6;
  c |= (R_PORT4->PIDR_b.PIDR6 ) << 5;
  c |= (R_PORT4->PIDR_b.PIDR5 ) << 4;
  c |= (R_PORT4->PIDR_b.PIDR4 ) << 3;
  c |= (R_PORT4->PIDR_b.PIDR3 ) << 2;
  c |= (R_PORT4->PIDR_b.PIDR2 ) << 1;
  c |= (R_PORT4->PIDR_b.PIDR1 ) << 0;

  return c;
}

void led( unsigned char value ) {
  R_PORT0->PODR_b.PODR11 = ( (value & 0x80) != 0 );  // 式が真なら1、偽なら0の値を持つ
  R_PORT0->PODR_b.PODR10 = ( (value & 0x40) != 0 );
  R_PORT0->PODR_b.PODR8  = ( (value & 0x20) != 0 );
  R_PORT0->PODR_b.PODR7  = ( (value & 0x10) != 0 );
  R_PORT0->PODR_b.PODR6  = ( (value & 0x08) != 0 );
  R_PORT0->PODR_b.PODR5  = ( (value & 0x04) != 0 );
  R_PORT0->PODR_b.PODR4  = ( (value & 0x02) != 0 );
  R_PORT0->PODR_b.PODR3  = ( (value & 0x01) != 0 );
}