//**************************************************************************
// ﾌｧｲﾙ内容     「aqm0802.ino」AQM0802液晶(I2C)
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

// インクルード宣言
#include "mcr_aqm0802.h"  // A0:SCL A1:SDA 

// グローバル変数宣言
MCR_AQM0802 lcd;          // MCR_AQM0802クラス

void setup() {
  lcd.begin( 11 );        // AQM0802液晶使用開始 コントラスト=11
}

void loop() {
  static int lp = 1;

  lcd.setPosition( 0,0 );
  lcd.printf( "AQM0802!" );
  lcd.setPosition( 0,1 );
  lcd.printf( "%08d", lp );
  delay(10);
  lp++;
}