//**************************************************************************
// ﾌｧｲﾙ内容     「encoder1sou.ino」1相のロータリエンコーダ　パルス入力
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

// インクルード宣言
#include "mcr_gpt_lib.h"

void setup() {
  startGPT1_1SouEncoder( GTETRGA , 1, 5 );  // 1相エンコーダ GPT1 P105のGTETRGAを使用

  Serial.begin(9600);                       // シリアル通信 速度9600bps

  while ( !Serial ) {
    // 接続されるまで待つ
  }
  Serial.print( "\n\nロータリエンコーダ１相確認プログラム\n" );
}

void loop() {
  static int lp = 1;
  
  Serial.print( lp );
  Serial.print( " : " );
  Serial.println( GPT1_CNT );
  lp++;
  delay( 1000 );
}